Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84185 - Evolution fails on SMTP - requires ESMTP
Summary: Evolution fails on SMTP - requires ESMTP
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: evolution
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 06:59 UTC by Mike Bird
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-14 16:29:12 UTC


Attachments (Terms of Use)

Description Mike Bird 2003-02-13 06:59:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After issuing EHLO to a non-ESMTP SMTP server, a 502 (unimplemented) is
returned.  Correct behaviour is for client to then try HELO (e.g. Mozilla does
this).  Evolution ignores the 502 and proceeds to issue MAIL FROM which is
invalid at that point.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to send mail to a non-ESMTP SMTP server
2.
3.
    

Additional info:

Comment 1 Jeremy Katz 2003-02-14 16:29:12 UTC
The code for this looks right in 1.2.2


Note You need to log in before you can comment on or make changes to this bug.